Ubuntu

ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad

Reported by firefeather on 2010-02-25
258
This bug affects 50 people
Affects Status Importance Assigned to Milestone
Arch Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by firefeather

Bug Description

Binary package hint: xserver-xorg-input-synaptics

I can use the ALPS touchpad on my HP Mini 311 (movement, right-edge scrolling, tap-to-left-click, mouse buttons, both mouse buttons = middle click).
However, there is no way to configure the touchpad (multitouch scrolling, horizontal scrolling, sensitivity of tap-to-click, right or middle click tap areas, etc.) because the mouse is not recognized as a touchpad.

I expect to see a touchpad tab in the mouse configuration applet, and to be able to configure/customize things such as the ones listed above but no touchpad tab is present.

ProblemType: Bug
Architecture: i386
Date: Thu Feb 25 09:59:38 2010
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Hewlett-Packard HP Mini 311-1000
NonfreeKernelModules: nvidia wl
Package: xserver-xorg-input-synaptics 1.1.2-1ubuntu7 [modified: usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi]
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu10
 libgl1-mesa-glx 7.6.0-1ubuntu4
 libdrm2 2.4.14-1ubuntu1
 xserver-xorg-video-intel 2:2.9.0-1ubuntu2.1
 xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
SourcePackage: xserver-xorg-input-synaptics
Uname: Linux 2.6.31-19-generic i686
dmi.bios.date: 08/04/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3651
dmi.board.vendor: Quanta
dmi.board.version: 49.14
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.02:bd08/04/2009:svnHewlett-Packard:pnHPMini311-1000:pvr0396100000001B00000300000:rvnQuanta:rn3651:rvr49.14:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Mini 311-1000
dmi.product.version: 0396100000001B00000300000
dmi.sys.vendor: Hewlett-Packard
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-19-generic

firefeather (firefeather) wrote :
firefeather (firefeather) wrote :

There is a relevant discussion on Ubuntu Forums at http://ubuntuforums.org/showthread.php?t=1316361

firefeather (firefeather) wrote :

I know HAL is going away, but if it's useful, here is the output of lshal.

firefeather (firefeather) wrote :

Here are the results of cat /proc/bus/input/devices as well. (I'm going through https://wiki.ubuntu.com/DebuggingTouchpadDetection and making sure I give all the needed info.)

Bryce Harrington (bryce) on 2010-03-18
tags: added: karmic
Robert Hooker (sarvatt) wrote :

The touchpad is detected as a mouse in this dmesg, indicating the problem is at the kernel level and not in xserver-xorg-input-synaptics which is not even used in this case.

affects: xserver-xorg-input-synaptics (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Zlatovlac (zlatovlac) wrote :

i have the same issue on my HP mini 311. i check with 10.04 beta 1 problemis still presents on it. touchpad is detected as
"ImPS/2 Generic Wheel Mouse" id=8 [XExtensionPointer]
 Type is MOUSE
 Num_buttons is 7
thanks, i need more info just ask

Thanks

Zlatovlac (zlatovlac) wrote :

if need more info just ask

Zlatovlac (zlatovlac) wrote :

here is a link where described same issue and its fix for toshiba

Timtro (timtro) wrote :

The link posted by Zlatovlac suggests that the bug should have been fixed in kernel 2.6.30, but I'm using 2.6.31, and it isn't working on my Mini 311. It really is a debilitating bug due to the design of the 311.

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: adam 2462 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'V8235'/'VIA 8235 with ALC202 at 0xec00, irq 22'
   Mixer name : 'Realtek ALC202 rev 0'
   Components : 'AC97a:414c4740'
   Controls : 44
   Simple ctrls : 26
Card1.Amixer.info:
 Card hw:1 'UART'/'MPU-401 UART at 0x330, irq 10'
   Mixer name : ''
   Components : ''
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=b5e9d956-7070-4047-8370-d48cbea7ed09
MachineType: VIA Technologies, Inc. KT400-8235
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: root=UUID=c68bf68d-85b3-4683-8bbd-00aacea24779 ro quiet splash vga=792
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-16-generic N/A
 linux-firmware 1.26
RfKill:

Uname: Linux 2.6.31-16-generic i686
UserGroups: adm admin audio cdrom dialout fuse lpadmin netdev plugdev sambashare vboxusers video
WpaSupplicantLog:

dmi.bios.date: 03/17/2003
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: KT400-8235
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd03/17/2003:svnVIATechnologies,Inc.:pnKT400-8235:pvr:rvn:rnKT400-8235:rvr:cvn:ct3:cvr:
dmi.product.name: KT400-8235
dmi.sys.vendor: VIA Technologies, Inc.

firefeather (firefeather) wrote :

I apologize, I accidentally started apport-collect on the wrong computer. I'll re-try on the correct one.

firefeather (firefeather) wrote :

Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: adam 1721 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0x53100000 irq 23'
   Mixer name : 'Nvidia MCP7A HDMI'
   Components : 'HDA:111d7605,103c3651,00100402 HDA:10de0007,10de0101,00100100'
   Controls : 30
   Simple ctrls : 17
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=4894b020-20b8-40b8-85cc-01486425c5b1
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Hewlett-Packard HP Mini 311-1000
NonfreeKernelModules: wl nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-20-generic root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-20-generic N/A
 linux-firmware 1.26
RfKill:

Uname: Linux 2.6.31-20-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 08/04/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3651
dmi.board.vendor: Quanta
dmi.board.version: 49.14
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.02:bd08/04/2009:svnHewlett-Packard:pnHPMini311-1000:pvr0396100000001B00000300000:rvnQuanta:rn3651:rvr49.14:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Mini 311-1000
dmi.product.version: 0396100000001B00000300000
dmi.sys.vendor: Hewlett-Packard

tags: added: apport-collected
tags: added: needs-upstream-testing
firefeather (firefeather) wrote :

Okay, so that was to make sure that the Kernel Team gets the required information according to https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies . Don't know how to prevent the bug-spam or remove comment #11, so I apologize for that. If there's anything else I can do to help this bug get moved along, please let me know.

Download full text (3.5 KiB)

Oh, thanks, no need to apologize at all. This is, after all, the cost of
pioneering in open-source. Well worth it I think. I just wish I had time to
actually do more to help fix bugs.

Best regards,

Tim.

On Fri, Mar 26, 2010 at 10:09 PM, firefeather <email address hidden>wrote:

> Okay, so that was to make sure that the Kernel Team gets the required
> information according to
> https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies . Don't know
> how to prevent the bug-spam or remove comment #11, so I apologize for
> that. If there's anything else I can do to help this bug get moved
> along, please let me know.
>
> --
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
> https://bugs.launchpad.net/bugs/527890
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> I can use the ALPS touchpad on my HP Mini 311 (movement, right-edge
> scrolling, tap-to-left-click, mouse buttons, both mouse buttons = middle
> click).
> However, there is no way to configure the touchpad (multitouch scrolling,
> horizontal scrolling, sensitivity of tap-to-click, right or middle click tap
> areas, etc.) because the mouse is not recognized as a touchpad.
>
> I expect to see a touchpad tab in the mouse configuration applet, and to be
> able to configure/customize things such as the ones listed above but no
> touchpad tab is present.
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Feb 25 09:59:38 2010
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Lsusb:
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Hewlett-Packard HP Mini 311-1000
> NonfreeKernelModules: nvidia wl
> Package: xserver-xorg-input-synaptics 1.1.2-1ubuntu7 [modified:
> usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi]
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic
> root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu10
> libgl1-mesa-glx 7.6.0-1ubuntu4
> libdrm2 2.4.14-1ubuntu1
> xserver-xorg-video-intel 2:2.9.0-1ubuntu2.1
> xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
> SourcePackage: xserver-xorg-input-synaptics
> Uname: Linux 2.6.31-19-generic i686
> dmi.bios.date: 08/04/2009
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: F.02
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: 3651
> dmi.board.vendor: Quanta
> dmi.board.version: 49.14
> dmi.chassis.type: 10
> dmi.chassis.vendor: Quanta
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnHewlett-Packard:bvrF.02:bd08/04/2009:svnHewlett-Packard:pnHPMini311-1000:pvr0396100000001B00000300000...

Read more...

Patrick McElwee (pmcelwee) wrote :

This is also a problem for the ALPS touchpad on the Acer AspireOne 532h

I've got the same problem on sony vaio vpceb1e1r

firefeather (firefeather) wrote :

Unless you are sure your ALPS touchpad is the same hardware as the one listed here, the most likely way to get the bug fixed for your computer is to file a separate bug. Thank you!

Zlatovlac (zlatovlac) wrote :

Hello everybody!
I test issue on ubuntu 10.04 beta 2 with my HP mini 311. Looks like on that beta2, bug is fixed.
command: xinput --list, shows that ALPS touchpad detected. In GUI Mouse Configuration window, has third tab for touchpad settings.
Thanks a lot, who help to investigate and fix this bug.

Alan Williams (awi159) wrote :

But when I tried to disable "tap to click" it didn't work.

On Mon, Apr 12, 2010 at 12:16 PM, Zlatovlac <email address hidden> wrote:

> Hello everybody!
> I test issue on ubuntu 10.04 beta 2 with my HP mini 311. Looks like on
> that beta2, bug is fixed.
> command: xinput --list, shows that ALPS touchpad detected. In GUI Mouse
> Configuration window, has third tab for touchpad settings.
> Thanks a lot, who help to investigate and fix this bug.
>
> --
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
> https://bugs.launchpad.net/bugs/527890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

firefeather (firefeather) wrote :

Which of the following touchpad settings are available and work, if any?

* Right-edge scrolling
* Tap-to-click
* Multitouch scrolling
* Multitouch clicking
* Horizontal scrolling
* Touchpad sensitivity
* Tap areas (right or middle click)

I'll test on Lucid as soon as I get a chance.

Alan Williams (awi159) wrote :

I'll have to test when I get home, but I know "tap to click" cannot be
disabled and horizontal scrolling does not work.

On Mon, Apr 12, 2010 at 2:12 PM, firefeather <email address hidden>wrote:

> Which of the following touchpad settings are available and work, if any?
>
> * Right-edge scrolling
> * Tap-to-click
> * Multitouch scrolling
> * Multitouch clicking
> * Horizontal scrolling
> * Touchpad sensitivity
> * Tap areas (right or middle click)
>
> I'll test on Lucid as soon as I get a chance.
>
> --
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
> https://bugs.launchpad.net/bugs/527890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Alan Williams (awi159) wrote :

Vertical scrolling does not work either. I don't think horizontal scrolling
is an option on this particular touchpad. At least it is seen as a touchpad!
That's a step in the right direction!

On Mon, Apr 12, 2010 at 2:12 PM, firefeather <email address hidden>wrote:

> Which of the following touchpad settings are available and work, if any?
>
> * Right-edge scrolling
> * Tap-to-click
> * Multitouch scrolling
> * Multitouch clicking
> * Horizontal scrolling
> * Touchpad sensitivity
> * Tap areas (right or middle click)
>
> I'll test on Lucid as soon as I get a chance.
>
> --
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
> https://bugs.launchpad.net/bugs/527890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

firefeather (firefeather) wrote :

Did vertical scrolling work for you before, Alan? I am still on Karmic and vertical scrolling works fine for me. I know horizontal scrolling is possible in the hardware.

Alan Williams (awi159) wrote :

Yes, vertical scrolling worked on Lucid beta #1, does not work on beta #2.

On Tue, Apr 13, 2010 at 11:40 AM, firefeather <email address hidden>wrote:

> Did vertical scrolling work for you before, Alan? I am still on Karmic
> and vertical scrolling works fine for me. I know horizontal scrolling is
> possible in the hardware.
>
> --
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
> https://bugs.launchpad.net/bugs/527890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

tags: added: lucid regression-potential
firefeather (firefeather) wrote :

I just tested Lucid and can confirm. While the touchpad is recognized as a touchpad in Lucid, no configuration is possible and the vertical scrolling is a regression.

In specific:
Several options (edge scrolling, horizontal scrolling, tap-to-click) are available in the touchpad tab of Mouse properties but have no effect.
Vertical scrolling is available as an option but no longer works and will be a regression if not fixed before Lucid's release.
The multitouch scrolling option is greyed out and not available for use.

tob (tobynbertram) wrote :
J. McDonald (mcdonald-joseph) wrote :

On my Mini 311, "PS/2 Mouse" is used instead of "AlpsPS/2 ALPS GlidePoint". For some reason, the module for "AlpsPS/2 ALPS GlidePoint" is not loading.

tuxinvader (tuxinvader) wrote :

Cross Post sorry.

There's a ubuntu specific patch which adds the following line to the alps kernel driver alps.c:

   { { 0x73, 0x02, 0x64 }, 0xf8, 0xf8, 0 }, /* HP Pavilion dm3 */

Commenting out this new device fixes the ALPs on the HP mini 311c ;-)

FreeAtMind (pauloapfernandes) wrote :

I have a Compaq Mini 311c - 1010SP and having the same issue. I think that Compaq Mini 311c and HP Mini 311c have the same hardware the differences are only hard drive capacity and RAM.
If i need to attach some logs please provide me the command i will do that. Sorry for my poor english.

Dan Andreșan (danyer) wrote :

@FreeAtMind,

HP acquired Compaq a couple of years ago.
In some countries (in Europe?) HP Mini 311 is sold as Compaq Mini 311.

The differences in harddisk, memory, OS appear from the second part: 1010SP, 1025NR, 1000NR, etc.

The touchpad I guess is the same for every HP/Compaq Mini 311

P.S. I don't know about the little c at the end (311c)

Chase Douglas (chasedouglas) wrote :

Hello everyone,

I've been working on this issue in bug 550625. Unfortunately, it seems this new hardware requires a new protocol to work properly. Details are in that bug, but unfortunately there's no great fix yet. We've reverted the change that went into beta 2 that had a side effect of disabling the scroll on touchpad edge. If the new protocol is found and merged upstream in the linux kernel we would gladly pull it into Ubuntu, but until then there probably won't be any great synaptics client integration.

Thanks

Tim Hatcher (tim-hatchernet) wrote :

Hi there

I have been chasing this problem for a few days now and am really happy to have found this thread just to prove to myself that I am not going mad and that it is a real problem.

I have a HP DM1 running Linux Mint 8 and windows 7 I am relatively new to Linux and am definitely not a kernel hacker.

I just wanted to add some info from the Windows side that may or may not be of use. Under windows I have just updated to the latest ALPS touchpad driver from HP http://tinyurl.com/24tozsn version 7.5.1711.125 A Current released 03/10 and updated my BIOS to the latest F.14 F http://tinyurl.com/2f5qg4s released on 2010-04-12 and now under windows I can use the fn F12 to toggle the touchpad enabled/disabled.

I would expect that the 311 will have a similar fix (for windows) as they have the same chassis. It is also apparent that HP are actively working on these drivers for Windows as these have only just been released.

This is most definitely for information as it does not effect Linux at all but when you were talking about trying to capture info from the windows drivers to try and fix the linux one I though it may be useful.

Sorry if I have just wasted your time.

Let me know if I can be of help trying to resolve this, and I thank you for all your work on this.

Zlatovlac (zlatovlac) wrote :

i was very happy to find that my touchpad detected as ALPS touchpad, that didn't check it functionality.
Yesterday i tried the Ubuntu RC 10.04 and checked some settings from mouse properties screen.
While the touchpad detected properly, no any settings from Mouse properties->touchpad tab is not take effect:
1. Disable while typing,
2. Edge scrolling (vertical and horizontal).

if need any more info, i would be very glad to help.

I got the same problem, same machine, compaq (hp) mini 311c

Zlatovlac (zlatovlac) wrote :

after upgrade to linux-image 2.6.32-23-generic the problem is backed.
xinput --list shows that there is no touchpad in system, only macintosh mouse. from Mouse configuration screen disappeared tab "touchpad", but vertical scroll appears and working.
Is there a chance, that possible to enable feature of touchpad disable touchpad,whlie typing?

I got the same problem on my new HP Pavillon dm1:

xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ HP Webcam-50 id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

Zlatovlac (zlatovlac) wrote :

Ubuntu Maverick RC didn't solve the problem. the same situation.

go4linux (ubuntu-desole) wrote :

isn't this bug a duplicate of 359363?

firefeather (firefeather) wrote :

go4linux: Unless it's known that the HP Mini 311 has the same touchpad hardware as the Dell Latitude XT, this is not a dupe.The following quote comes from https://help.ubuntu.com/community/ReportingBugs :

"For sound, X drivers, and kernel bugs: please open a new bug instead of commenting on a similar bug: chances are that your hardware does not match the existing bug's hardware, so the bug will not be addressed."

Jesse R. Taylor (jrtayloriv) wrote :

I'm also having this problem with my Dell Inspiron N7110. I'm not sure whether to report this as a separate bug or not, but the symptoms are the same on my system -- i.e. the touchpad menu is not showing up in the Mouse settings menu, but the touchpad works fine (the tap to click works especially well .... grrrrr).

Should I file a new bug? Has any progress been made on this, short of inserting hacks into psmouse.ko?

firefeather (firefeather) wrote :

Jesse, see linked bugs, where more discussion about the driver's progress has gone on. Some commentary on the Dell computers but I don't know if that includes the Inspiron N7110.

In natty touchpad detected correctly, but scrolling is broken.

Ricey (ricey) wrote :

Hi,

Same issue in Natty too, Compaq 311c-1101sa, touch-pad detected and options available in the 'mouse' settings GUI. No options in the mouse GUI make a difference and not only does the right edge scroll not work neither does middle click (both buttons together). Any more info needed please ask

cheers

tags: removed: regression-potential
PeterPall (peterpall) wrote :
Download full text (4.3 KiB)

Same issue in Oneiric, even if Oneiric seems to get rather fast before falling back before deciding to use the touchpad as a simple mouse:

[ 38.421] (II) config/udev: Adding input device PS/2 Mouse (/dev/input/event7)
[ 38.421] (**) PS/2 Mouse: Applying InputClass "evdev pointer catchall"
[ 38.421] (II) Using input driver 'evdev' for 'PS/2 Mouse'
[ 38.421] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 38.421] (**) PS/2 Mouse: always reports core events
[ 38.421] (**) PS/2 Mouse: Device: "/dev/input/event7"
[ 38.421] (--) PS/2 Mouse: Found 3 mouse buttons
[ 38.421] (--) PS/2 Mouse: Found relative axes
[ 38.421] (--) PS/2 Mouse: Found x and y relative axes
[ 38.421] (II) PS/2 Mouse: Configuring as mouse
[ 38.421] (**) PS/2 Mouse: YAxisMapping: buttons 4 and 5
[ 38.421] (**) PS/2 Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 38.421] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input7/event7"
[ 38.421] (II) XINPUT: Adding extended input device "PS/2 Mouse" (type: MOUSE)
[ 38.422] (II) PS/2 Mouse: initialized for relative axes.
[ 38.422] (**) PS/2 Mouse: (accel) keeping acceleration scheme 1
[ 38.422] (**) PS/2 Mouse: (accel) acceleration profile 0
[ 38.422] (**) PS/2 Mouse: (accel) acceleration factor: 2.000
[ 38.422] (**) PS/2 Mouse: (accel) acceleration threshold: 4
[ 38.423] (II) config/udev: Adding input device PS/2 Mouse (/dev/input/mouse0)
[ 38.423] (II) No input driver/identifier specified (ignoring)
[ 38.424] (II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event8)
[ 38.424] (**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev touchpad catchall"
[ 38.424] (**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "Multitouch Touchpad"
[ 38.424] (II) LoadModule: "multitouch"
[ 38.424] (II) Loading /usr/lib/xorg/modules/input/multitouch_drv.so
[ 38.425] (II) Module multitouch: vendor="X.Org Foundation"
[ 38.425] compiled for 1.10.1, module version = 0.1.0
[ 38.425] Module class: X.Org XInput Driver
[ 38.425] ABI class: X.Org XInput driver, version 12.3
[ 38.425] (II) Using input driver 'multitouch' for 'AlpsPS/2 ALPS GlidePoint'
[ 38.425] (II) Loading /usr/lib/xorg/modules/input/multitouch_drv.so
[ 38.425] (**) AlpsPS/2 ALPS GlidePoint: always reports core events
[ 38.425] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input8/event8"
[ 38.425] (II) XINPUT: Adding extended input device "AlpsPS/2 ALPS GlidePoint" (type: TOUCHPAD)
[ 38.425] (II) device control: init
[ 38.425] (**) Option "Device" "/dev/input/event8"
[ 38.425] (II) multitouch: devname: AlpsPS/2 ALPS GlidePoint
[ 38.425] (II) multitouch: devid: 2 8 7326
[ 38.425] (II) multitouch: caps: left middle right
[ 38.426] (II) pointer_control
[ 38.426] (**) AlpsPS/2 ALPS GlidePoint: (accel) keeping acceleration scheme 1
[ 38.426] (II) pointer_property
[ 38.426] (II) pointer_property
[ 38.426] (**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration profile 0
[ 38.426] (II) pointer_property
[ 38.426] (II) pointer_property
[ 38....

Read more...

Marja Erwin (marja-e) wrote :

Also occurs in Sony Vaio E-series, but without scrolling. The inability to disable tap-to-click makes for a painful ergonomic disaster.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
J. McDonald (mcdonald-joseph) wrote :

This bug still exists in Ubuntu 10.04 LTS. Since 10.04 is long term service, I don't understand the classification of "won't fix". So LTS isn't LTS anymore?

Brad Figg (brad-figg) wrote :

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Download full text (3.4 KiB)

So we just have to suffer through this?

Best regards,

Tim.
http://www.timteatro.net

On Fri, Jul 15, 2011 at 1:47 AM, Brad Figg <email address hidden> wrote:

> This bug was filed against a series that is no longer supported and so
> is being marked as Won't Fix. If this issue still exists in a supported
> series, please file a new bug.
>
> This change has been made by an automated script, maintained by the
> Ubuntu Kernel Team.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/527890
>
> Title:
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
>
> Status in “linux” package in Ubuntu:
> Won't Fix
> Status in Arch Linux:
> New
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> I can use the ALPS touchpad on my HP Mini 311 (movement, right-edge
> scrolling, tap-to-left-click, mouse buttons, both mouse buttons = middle
> click).
> However, there is no way to configure the touchpad (multitouch scrolling,
> horizontal scrolling, sensitivity of tap-to-click, right or middle click tap
> areas, etc.) because the mouse is not recognized as a touchpad.
>
> I expect to see a touchpad tab in the mouse configuration applet, and
> to be able to configure/customize things such as the ones listed above
> but no touchpad tab is present.
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Feb 25 09:59:38 2010
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Lsusb:
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Hewlett-Packard HP Mini 311-1000
> NonfreeKernelModules: nvidia wl
> Package: xserver-xorg-input-synaptics 1.1.2-1ubuntu7 [modified:
> usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi]
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic
> root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu10
> libgl1-mesa-glx 7.6.0-1ubuntu4
> libdrm2 2.4.14-1ubuntu1
> xserver-xorg-video-intel 2:2.9.0-1ubuntu2.1
> xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
> SourcePackage: xserver-xorg-input-synaptics
> Uname: Linux 2.6.31-19-generic i686
> dmi.bios.date: 08/04/2009
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: F.02
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: 3651
> dmi.board.vendor: Quanta
> dmi.board.version: 49.14
> dmi.chassis.type: 10
> dmi.chassis.vendor: Quanta
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnHewlett-Packard:bvrF.02:bd08/04/2009:svnHewlett-Packard:pnHPMini311-1000:pvr0396100000001B00000300000:rvnQuanta:rn3651:rvr49.14:cvnQuanta:ct10:cvrN/A:
> dmi.product.name: HP Mini 311-1000
> dmi.prod...

Read more...

J. McDonald (mcdonald-joseph) wrote :
Download full text (7.3 KiB)

Either that or we just need to keep adding redundant bug reports for the same bug every time a new ubuntu version is released without fixing this. The ALPS multitouch trackpad is a very common device and this issue has been more or less ignored. If someone could just figure out a way to turn off tap-to-click even without full support of the device, then the most irritating part of this would go away. Instead we're told it will never be fixed, not even in LTS ubuntu distros. I guess that says it all regarding ubuntu support. It's time for me to get past the hype and begin investigating something beyond ubuntu to get my hardware working. At least it served it's purpose as a Linux gateway drug for me.

On Jul 15, 2011, at 9:16 AM, Timtro <email address hidden> wrote:

> So we just have to suffer through this?
>
> Best regards,
>
>
> Tim.
> http://www.timteatro.net
>
>
> On Fri, Jul 15, 2011 at 1:47 AM, Brad Figg <email address hidden>
> wrote:
>
>> This bug was filed against a series that is no longer supported and so
>> is being marked as Won't Fix. If this issue still exists in a supported
>> series, please file a new bug.
>>
>> This change has been made by an automated script, maintained by the
>> Ubuntu Kernel Team.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/527890
>>
>> Title:
>> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
>>
>> Status in “linux” package in Ubuntu:
>> Won't Fix
>> Status in Arch Linux:
>> New
>>
>> Bug description:
>> Binary package hint: xserver-xorg-input-synaptics
>>
>> I can use the ALPS touchpad on my HP Mini 311 (movement, right-edge
>> scrolling, tap-to-left-click, mouse buttons, both mouse buttons = middle
>> click).
>> However, there is no way to configure the touchpad (multitouch scrolling,
>> horizontal scrolling, sensitivity of tap-to-click, right or middle click tap
>> areas, etc.) because the mouse is not recognized as a touchpad.
>>
>> I expect to see a touchpad tab in the mouse configuration applet, and
>> to be able to configure/customize things such as the ones listed above
>> but no touchpad tab is present.
>>
>> ProblemType: Bug
>> Architecture: i386
>> Date: Thu Feb 25 09:59:38 2010
>> DistroRelease: Ubuntu 9.10
>> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>> Lsusb:
>> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>> Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
>> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>> MachineType: Hewlett-Packard HP Mini 311-1000
>> NonfreeKernelModules: nvidia wl
>> Package: xserver-xorg-input-synaptics 1.1.2-1ubuntu7 [modified:
>> usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi]
>> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic
>> root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
>> ProcEnviron:
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
>> Re...

Read more...

PeterPall (peterpall) wrote :

I think cleaning up all the old bugs using an automatic script that looks if the bug was originally reported against a series that is nowadays extremely old is not a bad idea. Did file Bug #810653 so the problem won't get lost - that still affects me on oneiric.

Marja Erwin (marja-e) wrote :

So how do we add Ubuntu 10.10 and 11.04 to the "also affects" list?

Marja Erwin (marja-e) wrote :

And how does it help to add myriad duplicates of the same bug for each version of Ubuntu?

Download full text (3.2 KiB)

Not to mention 10.04 which is supposed to be a long term service release...

On Jul 17, 2011, at 2:49 PM, Marja Erwin <email address hidden> wrote:

> So how do we add Ubuntu 10.10 and 11.04 to the "also affects" list?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/527890
>
> Title:
> ALPS touchpad in HP Mini 311 not configurable/recognized as a touchpad
>
> Status in “linux” package in Ubuntu:
> Won't Fix
> Status in Arch Linux:
> New
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> I can use the ALPS touchpad on my HP Mini 311 (movement, right-edge scrolling, tap-to-left-click, mouse buttons, both mouse buttons = middle click).
> However, there is no way to configure the touchpad (multitouch scrolling, horizontal scrolling, sensitivity of tap-to-click, right or middle click tap areas, etc.) because the mouse is not recognized as a touchpad.
>
> I expect to see a touchpad tab in the mouse configuration applet, and
> to be able to configure/customize things such as the ones listed above
> but no touchpad tab is present.
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Feb 25 09:59:38 2010
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Lsusb:
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 002: ID 0408:0ff1 Quanta Computer, Inc.
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Hewlett-Packard HP Mini 311-1000
> NonfreeKernelModules: nvidia wl
> Package: xserver-xorg-input-synaptics 1.1.2-1ubuntu7 [modified: usr/share/hal/fdi/policy/20thirdparty/11-x11-synaptics.fdi]
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic root=UUID=dd814536-abad-47cf-b087-1e73c9213762 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu10
> libgl1-mesa-glx 7.6.0-1ubuntu4
> libdrm2 2.4.14-1ubuntu1
> xserver-xorg-video-intel 2:2.9.0-1ubuntu2.1
> xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
> SourcePackage: xserver-xorg-input-synaptics
> Uname: Linux 2.6.31-19-generic i686
> dmi.bios.date: 08/04/2009
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: F.02
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: 3651
> dmi.board.vendor: Quanta
> dmi.board.version: 49.14
> dmi.chassis.type: 10
> dmi.chassis.vendor: Quanta
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnHewlett-Packard:bvrF.02:bd08/04/2009:svnHewlett-Packard:pnHPMini311-1000:pvr0396100000001B00000300000:rvnQuanta:rn3651:rvr49.14:cvnQuanta:ct10:cvrN/A:
> dmi.product.name: HP Mini 311-1000
> dmi.product.version: 0396100000001B00000300000
> dmi.sys.vendor: Hewlett-Packard
> fglrx: Not loaded
> system:
> distro: Ubuntu
> architecture: i686kernel: 2.6.31-19-generic
>
> To manage not...

Read more...

PeterPall (peterpall) wrote :

> And how does it help to add myriad duplicates of the same bug for each
> version of Ubuntu?
Supposedly it will at least reduce the number of open bugs. If it won't I think somebody will find a better idea.
for the meantime I think adding all the old releases to this bug is
Doing the Right Thing.

Hi all,

I was asked to be help some one get vertical scroll working on their HP,
so I've just blown the dust of mine and installed Natty. Vertical Scroll
still broken by default :-(

The problem with scrolling is Ubuntu specific. Kernel.org kernels should
just work.

Ubuntu patches add support for a Dell Precision 4500. There is a lot of
additional code in there for making the Dell work, but it uses a similar
touchpad to the HP (same vendor/product IDs) and that is what breaks
vertical scrolling on the HP.

The attached file contains the psmouse module which I have tested
against 2.6.38 (the default Natty kernel). It has the addition Dell
model data commented out. It should work with 2.6.39 too, according to
Kernel.org there have been no changes in Alps between 2.6.38 and 2.6.39.

First ensure you have the necessary packages to build kernel modules:
me@mybox$ apt-get install linux-headers-generic build-essential

And here's what you need to do to install/use it:

me@mybox$ tar zxvf mouse-build.tgz
me@mybox$ cd mouse-build-2.6.38
me@mybox$ make
me@mybox$ sudo rmmod psmouse
me@mybox$ sudo insmod psmouse.ko

Test that vertical scrolling functionality has returned :-)
If all is well, then back up your current psmouse module and then
overwrite it with the one you just built.

me@mybox$ sudo cp /lib/modules/$(uname
-r)/kernel/drivers/input/mouse/psmouse.ko psmouse.ko.backup

me@mybox$ sudo cp psmouse.ko /lib/modules/$(uname
-r)/kernel/drivers/input/mouse/psmouse.ko

Cheers,
Mark

mwa (slash-dotnetslash) wrote :

HP mini 311 users: beware linux-image-2.6.38-10-generic. I've been following this bug hoping for a fix and...

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/817286

PeterPall (peterpall) wrote :

Did try a plain vanilla kernel from: http://kernel.ubuntu.com/~kernel-ppa/mainline
My Ubuntu kernel recognizes the touchpad as a touchpad but leaves it unconfigurable and with a tapping feature that is too sensitive for me. The plain vanilla kernel recognizes the touchpad as a generic PS/2 Mouse but lets it come up with a less sensitive tap and enabled edge scrolling.
I personally think plain vanilla is more usable for now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.